Sie sind nicht angemeldet.

Lieber Besucher, herzlich willkommen bei: GentooForum.de. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

19.11.2007, 18:46

Installation von Graphviz

Hi Profies,

ich möchte gern graphviz-2.12 installieren. Ich bekomme aber folgende Fehlermeldung und die Installation bricht ab:

error: invalid use of 'static' in linkage specification

Hat jemand einen Vorschlag für mich, habe schon gesucht, aber nichts brauchbares gefunden.

Wäre für Hilfe sehr dankbar.

MfG u67

2

20.11.2007, 11:23

RE: Installation von Graphviz

Gib mal mehr info durch. Häng mal ein

Quellcode

1
# emerge --info
dran und das build.log (findets du in /var/tmp/portage/media-gfx/graphviz ... die error-Meldung schreibt eh' genau wo).

... und BTW: Welcome =)
http://www.dyle.org
IM-Account (Jabber!) sind auf meiner HP ...
There is no place like /home

http://www.gentooforum.de
http://www.gentoofreunde.org

<div>how to annoy a web developer?</span>

3

20.11.2007, 18:37

Hi dyle ,

ich denke mal, du möchtest nicht das ganze Logfile. Ich poste mal den Anfang, bis er anfängt zu compilieren und den Rest, wo der Fehler auftaucht.

>>> Unpacking source...
>>> Unpacking graphviz-2.12.tar.gz to /var/tmp/portage/media-gfx/graphviz-2.12/work



So, nun noch mein emerge --info:

Portage 2.1.3.19 (default-linux/x86/2007.0/desktop, gcc-4.2.2, glibc-2.7-r0, 2.6.22-suspend2-r2 i686)
=================================================================
System uname: 2.6.22-suspend2-r2 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Timestamp of tree: Mon, 19 Nov 2007 16:30:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash: 3.2_p17-r1
dev-java/java-config: 1.3.7, 2.1.2-r1
dev-lang/python: 2.5.1-r4
dev-util/ccache: 2.4-r7
sys-apps/baselayout: 1.12.10-r5
sys-apps/sandbox: 1.2.18.1-r2
sys-devel/autoconf: 2.13, 2.61-r1
sys-devel/automake: 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils: 2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool: 1.5.24
virtual/os-headers: 2.6.23-r2
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/svn/env /usr/kde/svn/share/config /usr/kde/svn/shutdown /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/www/localhost/htdocs"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/mnt/distfile-container"
FEATURES="autoconfig ccache distlocks metadata-transfer nodoc noinfo parallel-fetch prelink sandbox sfperms strict symlink unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.ynet.sk/pub http://mirror.switch.ch/ftp/mirror/gentoo/ http://gentoo.mneisen.org/ http://gentoo.inode.at/ http://gentoo.modulix.net/gentoo/ http://gentoo.tiscali.nl/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo http://mirror.etf.bg.ac.yu/gentoo http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,-z,now -Wl,--sort-common -Wl,--as-needed -Wl,-s"
LINGUAS="de"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/kde /usr/portage/local/layman"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X a52 aac accessibility ace acl acpi alsa amarok amavis arts automount avifile bash-completion berkdb bitmap-fonts bluetooth bzip2 cairo cardbus ccache cdaudio cdparanoia cdr chroot cjk cli compress cpio cracklib crypt cups dbus de deprecated divx dri dv dvb dvbplayer dvd dvdnav dvdr dvdread eds emboss emovix encode esd fam fame fat fbcon fbsplash ffmpeg firefox flac fortran ftp fuse gdbm geldkarte german gif gimp gimpprint glib glibc-omitfp gmedia gocr gpac gphoto2 gpm gstreamer gtk gzip hal hardened hbci hddtemp hpn ibam iconv icq idn ieee1394 imagemagick imap injection irda irmc java javascript john jpeg jpeg2k kde kdeenablefinal kdexdeltas kdm kerberos lame live lm_sensors lzo mad midi mikmod mjpeg moneyplex mono motif mp2 mp3 mp4 mpeg mpeg2 mplayer mppe-mppc mtp mudflap musepack ncurses nls no-htdocs noamazon nptl nptlonly nsplugin nss ocrad odk ogg opengl openmp openssh passwordsave pch pcmcia pcre pda pdf perl pie plugins png postproc pppd python qt3 qt3support qt4 quicktime rar rdesktop readline real realmedia regex replytolist rpm rt2500usb rt73usb samba sandbox scanner sdl session sftp slang smp sms sndfile sound soundtouch speex spell srt ssl svg symlink szip tcpd theora threadsafe thunderbird tiff truetype truetype-fonts type1-fonts unicode unzip usb userlocales v4l2 vcd vidix visualization vorbis webdav wifi win32codecs wireshark wma wmp wxgtk1 wxwindows x x264 x86 xanim xml xorg xv xvid xvmc yv12 zip zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Hoffe, du kannst etwas damit anfangen und kannst mir sagen, was ich falsch gemacht habe.

MfG u67

P.s.: habe mal etwas gekürzt, sonst wird man ja nicht mit Scrollen fertig :)

Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von »u67« (21.11.2007, 08:08)


4

20.11.2007, 18:51

Zitat

Original von u67
Hi dyle ,
ich denke mal, du möchtest nicht das ganze Logfile. Ich poste mal den Anfang, bis er anfängt zu compilieren und den Rest, wo der Fehler auftaucht.


Doch, doch. Das ganze ... aber als Attachment (Dateianhang) und nicht inline ... und BTW - verwende bitte die code tags ("CODE einfügen") für solche Ausgaben, ok?

;)

Komme aber heut nicht mehr dazu, mir das anzugucken ... *morgen* ...
http://www.dyle.org
IM-Account (Jabber!) sind auf meiner HP ...
There is no place like /home

http://www.gentooforum.de
http://www.gentoofreunde.org

<div>how to annoy a web developer?</span>

5

20.11.2007, 19:28

Hi dyle,

ich habe mir noch mal den Editor angesehen :)
Da sind ja tatzächlich einige Möglichkeiten. Ich werde in Zukunft an mir arbeiten.

Ist nicht schlimm, dass du heute nicht mehr dazu kommst. Ich versuche mich da schon einige Tage an dem Problem.
Also hier noch mal das Logfile.

MfG u67

6

20.11.2007, 21:12

Kannst du mir bitte mal ein

Quellcode

1
 emerge -av graphviz
posten.
Hab die Vermutung das es bei dir an perl scheidert

was du versuchen könntest, um den fehler weiter einzugrenzen, zuerst versuchen ohne USE-FLAG installieren, wenn dies geht gibtst du ein USE-FLAG dazu die du benötigst.

Es könnte sein das bei dir ein USE-FLAG ein Problem macht, wenn du glück hast sogar eines das du gar nicht benötigst.

Gruß
knasan

- Bug oder Feature, das darf man sich hier aussuchen. -

7

21.11.2007, 08:19

Hi knasan,

1. die Ausgabe von

Quellcode

1
emerge -av graphviz

sieht so aus:

Quellcode

1
2
Calculating dependencies... done!
[ebuild   N   ] media-gfx/graphviz-2.12  USE="X gtk nls perl python -doc -examples -gnome -pango -ruby -tcl -tk" 0 kB

2. deine Idee mit den USE Flags scheint richtig zu sein. Habe mal mit

Quellcode

1
USE="-*" emerge graphviz

versucht. Das hat wunderbar geklappt. Muß jetzt nur noch herausfinden, welche USE Flags die Installation Blockieren.
Eventuell kann ich es aber auch so verwenden, da ich KDE4 installieren möchte und Graphviz als Abhängigkeit mit installiert werden sollte. Ich werde es mal Versuchen.

3. Danke ich dir und natürlich auch dyle für die Hilfe. Wenn ihr noch Ratschläge habe dann würde ich mich sehr darüber freuen.

MfG u67

8

21.11.2007, 08:45

So ... aha ... bin wohl zu spät, was? =)

Hehe ... wie auch immer. @u67: kannst du, wenn du die Lösung gefunden hast, diese hier noch reinstellen und dann the Thread auf "[gelöst]" setzen, ok?
http://www.dyle.org
IM-Account (Jabber!) sind auf meiner HP ...
There is no place like /home

http://www.gentooforum.de
http://www.gentoofreunde.org

<div>how to annoy a web developer?</span>